Teams

Create Team Endpoint

post

Endpoint to create a team.

Args: team: The team to create. user: The authenticated user. rbac: RBAC component. db: The DB session.

Returns: Model of the created team.

Authorizations
OAuth2clientCredentialsRequired
Token URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Body

Model for creating teams.

namestring · min: 1 · max: 50Required
descriptionany ofOptional
string · min: 1 · max: 256Optional
or
nullOptional
organization_idstring · uuidRequired
Responses
chevron-right
200

Successful Response

application/json

Model for viewing teams.

namestring · min: 1 · max: 50Required
descriptionany ofOptional
string · min: 1 · max: 256Optional
or
nullOptional
idstring · uuidRequired
createdstring · date-timeRequired
updatedstring · date-timeRequired
member_countintegerRequired
post
/teams

Get Team Endpoint

get

Endpoint to get a team.

Args: team_id: ID of the team to get. user: The authenticated user. rbac: RBAC component. db: The DB session.

Returns: Model of the team.

Authorizations
OAuth2clientCredentialsRequired
Token URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Path parameters
team_idstring · uuidRequired
Responses
chevron-right
200

Successful Response

application/json

Model for viewing teams.

namestring · min: 1 · max: 50Required
descriptionany ofOptional
string · min: 1 · max: 256Optional
or
nullOptional
idstring · uuidRequired
createdstring · date-timeRequired
updatedstring · date-timeRequired
member_countintegerRequired
get
/teams/{team_id}

Delete Team Endpoint

delete

Endpoint to delete a team.

Args: team_id: ID of the team to delete. user: The authenticated user. rbac: RBAC component. db: The DB session.

Authorizations
OAuth2clientCredentialsRequired
Token URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Path parameters
team_idstring · uuidRequired
Responses
chevron-right
200

Successful Response

application/json
anyOptional
delete
/teams/{team_id}

No content

Update Team Endpoint

patch

Endpoint to update a team.

Args: team_id: ID of the team to update. update: The team update. user: The authenticated user. rbac: RBAC component. db: The DB session.

Returns: Model of the updated team.

Authorizations
OAuth2clientCredentialsRequired
Token URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Path parameters
team_idstring · uuidRequired
Body

Model for updating teams.

nameany ofOptional
string · min: 1 · max: 50Optional
or
nullOptional
descriptionany ofOptional
string · min: 1 · max: 256Optional
or
nullOptional
Responses
chevron-right
200

Successful Response

application/json

Model for viewing teams.

namestring · min: 1 · max: 50Required
descriptionany ofOptional
string · min: 1 · max: 256Optional
or
nullOptional
idstring · uuidRequired
createdstring · date-timeRequired
updatedstring · date-timeRequired
member_countintegerRequired
patch
/teams/{team_id}
ZenML Scarf

Last updated

Was this helpful?